Subject: Re: bug#64518: 29.0.92; outline-mode sexp movement commands don't follow outline structure

From: Stefan Kangas <[email-masked]>
Date: Thu, 7 Sep 2023 14:32:42 -0700

tags 64518 + wontfix
close 64518
thanks

Eli Zaretskii <[email-masked]> writes:

>> From: Spencer Baugh <[email-masked]>
>> Date: Fri, 07 Jul 2023 12:21:14 -0400
>>
>>
>> Functions like C-M-f (forward-sexp) and C-M-SPC (mark-sexp) are supposed
>> to be configured by individual modes to behave in a way appropriate for
>> that mode.  But outline-mode does not do this.
>
> outline-mode is not a programming-language mode, so sexp-related
> commands make no sense for it.  It is more related to text-mode.
>
> Outline mode and its derivatives already have motion commands that
> move in terms of headings and trees/subtrees.  I see no reason to
> confuse users with some kind of artificial notion of "sexps" applied
> to text.
>
> So I think your feature request is a step in the wrong direction.

I agree, and I'm therefore closing this as wontfix.  Sorry.